Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface Resource

All Known Subinterfaces:
  SelfDescribingResource

public interface Resource
extends java.io.Serializable

The `Resource` interface provides the definition for an object that represents a resource that may be protected from unauthorized access.

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `equals(java.lang.Object another)` Compares this resource to the resource in the specified object.
`long` | `getID()` Gets a 64-bit hashcode for a resource.
`java.lang.String[]` | `getKeys()` Gets keys for the resource.
`Resource` | `getParentResource()` Gets a `Resource` object that represents the parent of the current resource.
`java.lang.String` | `getType()` Gets the type of this resource.
`java.lang.String[]` | `getValues()` Gets the values corresponding to the keys of this resource's type.
`int` | `hashCode()` Returns an identifier for the resource as a hash code.
`java.lang.String` | `toString()` Returns a string representation of this resource.

Method Detail

### equals

    public boolean equals(java.lang.Object another)

  Compares this resource to the resource in the specified object.

  Parameters:
    `another` - another resource with which to compare this resource.

  Returns:
    a boolean value indicating whether the resource passed in is the same as that encapsulated by this resource. A value of `TRUE` indicates that the resource passed in is the same as that encapsulated by this resource; a value of `FALSE` indicates that it is not the same.

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Returns a string representation of this resource.

  Returns:
    the resource, represented as a String.

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Returns an identifier for the resource as a hash code.

  Returns:
    the hashcode value for the resource.

  Overrides:
    hashCode in class java.lang.Object

### getType

    public java.lang.String getType()

  Gets the type of this resource.

  Returns:
    the type of this resource, represented as a String.

### getParentResource

    public Resource getParentResource()

  Gets a `Resource` object that represents the parent of the current resource. If the resource does not have a parent, the value of `null` must be returned.

  Returns:
    the `Resource` object of the parent resource.

### getID

    public long getID()

  Gets a 64-bit hashcode for a resource.

  Returns:
    the ID value for the resource, represented as a long.

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the resource.

  Returns:
    an array of Strings containing the resource's keys.

### getValues

    public java.lang.String[] getValues()

  Gets the values corresponding to the keys of this resource's type. This array may be shorter than the array returned by `getKeys` because the latter depends only on the type of the resource.

  Returns:
    an array of Strings representing the keys' values for this resource type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference